*************************************************************************
*Program 1 INOUT.asm - Read the Switches (Port A)                       *
*and Display on LEDs (Port B)                                           *
*Hardware JP2 in, JP4 Optional, JP5 ground, JP6 Vcc                     *
*************************************************************************
*Define Port Addresses
PORTA     EQU 0 ;Port A (switches) 
PORTB     EQU 1 ;Port B (LEDs) 
DDRA      EQU 4 ;Data Direction Register for PortA
DDRB      EQU 5 ;Data Direction Register for PortB

        ORG $250 ;origin for code

START: lda   #0
       sta   DDRA  ;set all Port A bits for input
       lda   #$FF
       sta   DDRB  ;and all Port B bits for output
LOOP:  lda   PORTA ;read Port A
       coma        ;invert all bits
       sta   PORTB ;and display at Port B
       bra   LOOP  ;repeat forever

        END        ;prog end

